import java.util.Map;
import java.util.HashMap;
/**
 * More advanced demo for enum types
 * using enums as type parameters and
 * iterating through the values with 'for'. 
 * 
 * @author Tomas Pitner
 * @version Oct 2008
 */
public class Demo {
    
    private static final Map<Season, Weather> TYPICAL_WEATHER 
        = new HashMap<Season, Weather>();
        
    public static void main(String[] args) {
        
        TYPICAL_WEATHER.put(Season.SPRING, Weather.RAINING);
        TYPICAL_WEATHER.put(Season.SUMMER, Weather.SUNNY);
        TYPICAL_WEATHER.put(Season.FALL, Weather.CLOUDY);
        TYPICAL_WEATHER.put(Season.WINTER, Weather.SNOWING);
        
        for(Season s: Season.values()) {
            System.out.println("Typical weather in " + s 
                + " is " + TYPICAL_WEATHER.get(s));
        }
    }    
}
